Bug 741073 - No battery indicator nor suspend option
Summary: No battery indicator nor suspend option
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 16
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-24 22:41 UTC by Meir Kriheli
Modified: 2013-02-13 14:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 14:33:03 UTC


Attachments (Terms of Use)
lshw output (18.15 KB, application/octet-stream)
2011-09-24 22:41 UTC, Meir Kriheli
no flags Details

Description Meir Kriheli 2011-09-24 22:41:28 UTC
Created attachment 524757 [details]
lshw output

Description of problem:

Used yum to fix stuff a messy upgrade from F15 to F16 (preupgrade failed miserably). Problems:

- No battery indicator on gnome's panel
- No suspend option from the menu (just logout or shutdown/restart).
- Lid close won't suspend.

Running pm-suspend works as expected.

Laptop is ThinkPad X60s, lshw for some reason shows it as T43P. Attached lshw output.

Comment 1 Richard Hughes 2011-11-15 13:51:29 UTC
Can you try testing with a fresh install, rather than a bodged upgrade please.

Comment 2 Ganapathi Kamath 2011-11-21 04:39:42 UTC
Preferable to have a workaround avoid reinstall if possible. 

This is what I've found. Following message is logged in 
/var/log/messages repeatedly at one-minute intervals. (open file as root)

Nov 20 23:33:54 sirius dbus-daemon[998]: (upowerd:1480): UPower-Linux-WARNING **: energy 44.950000 bigger than full 42.282000

I gather from reading https://forum.sabayon.org/viewtopic.php?t=25714
that it needs to be figured out how to make upowerd/gnome applet forget any previously recorded configuration/value, and rediscover the current values as per current version of upowerd.

Comment 3 Ganapathi Kamath 2011-11-21 04:44:54 UTC
I have same symptoms, but I don't recall having any upgrade errors. 
Any way to check ? upgrade log file ?

Comment 4 Ganapathi Kamath 2011-11-21 06:21:34 UTC
I wonder where it is getting the number "42.282000" from ?

# upower --monitor-detail
Monitoring activity from the power daemon. Press Ctrl+C to cancel.
[01:13:41.281]	device changed:     /org/freedesktop/UPower/devices/battery_BAT0
  native-path:          /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:2b/PNP0C0A:00/power_supply/BAT0
  vendor:               Hewlett-Packard
  model:                5100
  serial:               Li4402A
  power supply:         yes
  updated:              Mon Nov 21 01:13:41 2011 (0 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               fully-charged
    energy:              44.95 Wh
    energy-empty:        0 Wh
    energy-full:         44.95 Wh
    energy-full-design:  55.08 Wh
    energy-rate:         0 W
    voltage:             12.291 V
    percentage:          100%
    capacity:            76.7647%
  History (charge):
    1321856021	100.000	fully-charged
    1321856020	0.000	unknown
  History (rate):
    1321856020	0.000	unknown

# cat /proc/acpi/battery/BAT0/state 
present:                 yes
capacity state:          ok
charging state:          charged
present rate:            unknown
remaining capacity:      44950 mWh
present voltage:         12291 mV

Comment 5 Ganapathi Kamath 2011-11-21 06:35:57 UTC
Did a reboot, only one message logged this time: 

Nov 21 01:25:30 sirius dbus-daemon[1021]: (upowerd:1476): UPower-Linux-WARNING **: energy 44.950000 bigger than full 44.949000

still no battery indicator applet

Comment 6 Ganapathi Kamath 2011-11-21 06:58:17 UTC
The battery indicator applet is visible in the gdm screen before login.
log-out to gdm to verify.

Comment 7 Ganapathi Kamath 2011-11-21 07:51:57 UTC
$ /usr/libexec/gnome-settings-daemon --debug | egrep -i power
** (gnome-settings-daemon:8615): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-3.0/power.gnome-settings-plugin
** (gnome-settings-daemon:8615): DEBUG: GnomeSettingsPluginInfo: name='Power' file='/usr/lib64/gnome-settings-daemon-3.0/power.gnome-settings-plugin' location='power'
** (gnome-settings-daemon:8615): DEBUG: Loading /usr/lib64/gnome-settings-daemon-3.0/libpower.so
** (gnome-settings-daemon:8615): DEBUG: Creating object of type GsdPowerPlugin
(gnome-settings-daemon:8615): power-plugin-DEBUG: GsdPowerPlugin initializing
(gnome-settings-daemon:8615): power-plugin-DEBUG: Activating power plugin
(gnome-settings-daemon:8615): power-plugin-DEBUG: Starting power manager
(gnome-settings-daemon:8615): power-plugin-DEBUG: tooltip: 
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: got filename: battery-full-charged-symbolic;battery-full-charging-symbolic;gpm-battery-full;gpm-battery-100;battery-full-charged;battery-full-charging;
(gnome-settings-daemon:8615): power-plugin-DEBUG: tooltip: Laptop battery is charged
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: got filename: battery-full-charged-symbolic;battery-full-charging-symbolic;gpm-battery-full;gpm-battery-100;battery-full-charged;battery-full-charging;
(gnome-settings-daemon:8615): power-plugin-DEBUG: no change
(gnome-settings-daemon:8615): power-plugin-DEBUG: tooltip: Laptop battery is charged
(gnome-settings-daemon:8615): power-plugin-DEBUG: no change
(gnome-settings-daemon:8615): power-plugin-DEBUG: adding /org/freedesktop/UPower/devices/line_power_AC with state unknown
(gnome-settings-daemon:8615): power-plugin-DEBUG: time zero, falling back to percentage for battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: adding /org/freedesktop/UPower/devices/battery_BAT0 with state fully-charged
(gnome-settings-daemon:8615): power-plugin-DEBUG: updating because we added a device
(gnome-settings-daemon:8615): power-plugin-DEBUG: using original device as only one primary battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: time zero, falling back to percentage for battery
(gnome-settings-daemon:8615): power-plugin-DEBUG: X not idle
(gnome-settings-daemon:8615): power-plugin-DEBUG: idle dim set with timeout 10
(gnome-settings-daemon:8615): power-plugin-DEBUG: Current idle time=225ms, timeout was 10s, becomes 10s after adjustment
(gnome-settings-daemon:8615): power-plugin-DEBUG: Setting dim idle timeout: 10s
** (gnome-settings-daemon:8615): DEBUG: GnomeSettingsManager: emitting plugin-activated power
** (gnome-settings-daemon:8615): DEBUG: Plugin power: active

(gnome-settings-daemon:8615): color-plugin-WARNING **: Failed to CreateProfile: The connection is closed

** (gnome-settings-daemon:8615): WARNING **: cannot connect to /org/freedesktop/ConsoleKit/Session8: Error calling StartServiceByName for org.freedesktop.ConsoleKit: The connection is closed

(gnome-settings-daemon:8615): color-plugin-WARNING **: failed to create device: The connection is closed

(gnome-settings-daemon:8615): color-plugin-WARNING **: failed to get devices: Failed to GetDevices: The connection is closed
(gnome-settings-daemon:8615): power-plugin-DEBUG: Deactivating power plugin
(gnome-settings-daemon:8615): power-plugin-DEBUG: Stopping power manager
** (gnome-settings-daemon:8615): DEBUG: GnomeSettingsManager: emitting plugin-deactivated power
** (gnome-settings-daemon:8615): DEBUG: Unref plugin Power
(gnome-settings-daemon:8615): power-plugin-DEBUG: GsdPowerPlugin finalizing
** (gnome-settings-daemon:8615): DEBUG: Unloading /usr/lib64/gnome-settings-daemon-3.0/libpower.so

Comment 8 Ganapathi Kamath 2011-11-21 08:41:38 UTC
My resolution: 

$ restorecon -R /home/kamath

* Battery status indicator visible
* gnome-settings-daemon process running

Explanation:
As part of F15->F16 upgrade the home folder needs to be re-labelled with new selinux file contexts. Perhaps it was not done properly.

Reference
Bug 751729
http://lists.fedoraproject.org/pipermail/users/2011-November/407817.html

# ps -ef | egrep -i gnome-set
kamath   12169 12066  1 03:29 ?        00:00:01 /usr/libexec/gnome-settings-daemon

Comment 9 Darshan Prajapati 2012-06-12 11:09:41 UTC
I am facing the same issue in Fedora 17 after upgrading Fedora 16 to Fedora 17 using DVD.

Comment 10 Fedora End Of Life 2013-01-16 13:41:19 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Fedora End Of Life 2013-02-13 14:33:06 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.